=== debian/control ===
Source: mllex-polyml
Section: devel
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 libpolyml-dev,
 polyml,
 texlive-latex-base,
Standards-Version: 4.7.2
Homepage: https://github.com/eldesh/mllex-polyml
Vcs-Browser: https://salsa.debian.org/debian/mllex-polyml
Vcs-Git: https://salsa.debian.org/debian/mllex-polyml.git
Rules-Requires-Root: no

Package: mllex-polyml
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: lexical analyzer generator for Standard ML
 An implementation of mllex ported from mlton to poly/ml.
 .
 Lex allows the programmer to make the language description explicit, and to
 concentrate on what to do with the recognized words, not how to recognize the
 words. It saves programmer time and increases program maintainability.
 Unfortunately, Lex is targeted only C. It also places artificial limits on the
 size of strings that can be recognized.
 .
 ML-Lex is a variant of Lex for the ML programming language. ML-Lex has a
 syntax similar to Lex, and produces an ML program instead of a C program.
 ML-Lex produces a program that runs very efficiently. Typically the program
 will be as fast or even faster than a hand-coded lexer implemented in Standard
 ML.
