=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	chrpath -d bin/mllex-polyml
	$(MAKE) install-nodocs PREFIX=$(CURDIR)/debian/mllex-polyml/usr

override_dh_strip:
	# It does not make sense to generate debugging symbols for an SML
	# program: any stack trace you get will be useless
	dh_strip --no-automatic-dbgsym
