=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="mode=git, gitmode=full, pgpmode=none" \
   https://github.com/eldesh/mllex-polyml \
   HEAD
